Bug 434317 - nethack-vultures failed massrebuild attempt for GCC 4.3
nethack-vultures failed massrebuild attempt for GCC 4.3
Product: Fedora
Classification: Fedora
Component: nethack-vultures (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karen Pease
Fedora Extras Quality Assurance
: Reopened
: 449597 (view as bug list)
Depends On: 430545
Blocks: gcc43rebuildfail
  Show dependency treegraph
Reported: 2008-02-22 10:58 EST by Jesse Keating
Modified: 2013-01-09 22:05 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.1.0-14.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-12 17:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:58:55 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.


Please verify why this build failed and fix it.
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 20:00:27 EST
original error:

DEBUG util.py:261:  Error: Missing Dependency: libcap.so.1()(64bit) is needed by
package dbus-libs
DEBUG util.py:261:  Error: Missing Dependency: libcap.so.1()(64bit) is needed by
package dbus

scratch build submitted as 477423
Comment 2 Jon Stanley 2008-02-28 20:28:30 EST
linker error

Loading ...
/usr/bin/ld: cannot find -lSDLmain
collect2: ld returned 1 exit status
Comment 3 Kevin Kofler 2008-03-11 17:41:58 EDT
The original build failure was just a transient build error.

Unfortunately, a simple rebuild won't fix it due to a new problem uncovered by 
comment #2. This is bug 430545. You have to add:
BuildRequires: SDL-static
for now.

The reason is that libSDLmain is only available as a static library, and 
SDL-devel excludes _all_ static libraries in Rawhide, even the static-only 
Comment 4 Bug Zapper 2008-05-14 01:29:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Matt Domsch 2008-07-03 13:39:32 EDT
*** Bug 449597 has been marked as a duplicate of this bug. ***
Comment 6 Karen Pease 2008-07-03 13:52:21 EDT
Is anyone still getting a failure to build?  Or can I close this? 
Comment 7 Kevin Kofler 2008-08-03 02:58:22 EDT
You have to submit a new build for Rawhide, then you can close this. All packages should have been rebuilt for GCC 4.3, this has still not happened for nethack-vultures. (It is _not_ worth submitting an update for Fedora 9 just for this, but the rebuild should happen in time for Fedora 10. The sooner, the better.)
Comment 8 Kevin Kofler 2008-08-03 03:16:59 EDT
Actually, I just submitted it to get this out of the way:
Comment 9 Kevin Kofler 2008-08-03 03:18:36 EDT
Argh, now fails due to the new RPM:
+ echo 'Patch #2 (nethack-vultures-1.10.1-clawguide.patch):'
Patch #2 (nethack-vultures-1.10.1-clawguide.patch):
+ /bin/cat /builddir/build/SOURCES/nethack-vultures-1.10.1-clawguide.patch
+ /usr/bin/patch -s -p0 --fuzz=0
1 out of 1 hunk FAILED

Quick fix: add this line to the top of the specfile:
%define _default_patch_fuzz 2

Better fix: rediff the patch so it applies without fuzz.
Comment 10 Kevin Kofler 2008-08-12 17:25:19 EDT
A fixed build finally made it through to Rawhide. One less longstanding FTBFS.

Note You need to log in before you can comment on or make changes to this bug.